  xwiki:
    container_name: ${COMPOSE_PROJECT_NAME:-default}-xwiki
    build:
      context: ./xwiki/
      args:
        LINUX_ROOT_PASSWORD: ${LINUX_ROOT_PASSWORD}
    working_dir: /
    entrypoint: /usr/bin/env
    command: cmd_master.sh
    environment:
      - COMPOSE_PROJECT_NAME
      - MYSQL_ROOT_PASSWORD
      - DB_USER=xwiki
      - DB_PASSWORD=xwiki
      - DB_DATABASE=xwiki
      - DB_HOST=${COMPOSE_PROJECT_NAME:-default}-mysql
    volumes:
      - ./volumes-common/file/etc/rsyslog.conf:/etc/rsyslog.conf
      - ./xwiki/volumes/file/etc/supervisor/conf.d/supervisord.conf:/etc/supervisor/conf.d/supervisord.conf
      - ./xwiki/volumes/file/root/.bash_history:/root/.bash_history
      - ./xwiki/volumes/file/usr/local/bin/cmd_master.sh:/usr/local/bin/cmd_master.sh
      - ./xwiki/volumes/file/usr/local/bin/service_reinitialize.sh:/usr/local/bin/service_reinitialize.sh
      - ./xwiki/volumes/file/usr/local/bin/service_start.sh:/usr/local/bin/service_start.sh

      - ./volumes-common/file/usr/local/bin/wait_for_mariadb.sh:/usr/local/bin/wait_for_mariadb.sh
      - ./volumes-common/file/usr/local/bin/mysql:/usr/local/bin/mysql
      - ./volumes-common/file/usr/local/bin/mysqladmin:/usr/local/bin/mysqladmin
      - ./volumes-common/file/usr/local/bin/wait_for_mysql.sh:/usr/local/bin/wait_for_mysql.sh

      - ./xwiki/volumes/file/usr/local/bin/docker-entrypoint.sh:/usr/local/bin/docker-entrypoint.sh
    depends_on:
      - mariadb
      - mysql
    networks:
      savemetenminutes-default:
        ipv4_address: ${NETWORK_SUBNET_FIRST_AND_SECOND_OCTETS:-222.222}.${NETWORK_SUBNET_THIRD_OCTET:-222}.227
        aliases:
          - xwiki.${COMPOSE_PROJECT_NAME:-default}
    ports:
      - "22701:9001"
      - "22722:22"
      - "22780:8080"
    expose:
      - "9001"
      - "22"
      - "8080"
